import type { IServerlessCluster } from 'aws-cdk-lib/aws-rds';
import type { Construct } from 'constructs';
import { BastionHostForward } from './bastion-host-forward';
import type { BastionHostForwardBaseProps } from './bastion-host-forward-base-props';
export interface BastionHostAuroraServerlessForwardProps extends BastionHostForwardBaseProps {
    readonly serverlessCluster: IServerlessCluster;
    readonly resourceIdentifier?: string;
    readonly iamUser?: string;
}
export declare class BastionHostAuroraServerlessForward extends BastionHostForward {
    constructor(scope: Construct, id: string, props: BastionHostAuroraServerlessForwardProps);
    /**
     * @returns the resource ARN for the the rds-db:connect action
     */
    private genDbUserArnFromRdsArn;
}
