import { BastionHostLinux } from 'aws-cdk-lib/aws-ec2';
import type { ISecurityGroup } from 'aws-cdk-lib/aws-ec2';
import { Construct } from 'constructs';
import type { BastionHostForwardProps } from './bastion-host-forward-props';
export declare class BastionHostForward extends Construct {
    /**
     * @returns the id of the bastion host, which can be used by the session
     * manager connect command afterwards
     */
    instanceId?: string;
    /**
     * @returns the security group attached to the bastion host
     */
    securityGroup?: ISecurityGroup;
    /**
     * @returns The BastionHost Instance
     */
    protected readonly bastionHost: BastionHostLinux;
    protected constructor(scope: Construct, id: string, props: BastionHostForwardProps);
}
