import type { IDatabaseInstance } from 'aws-cdk-lib/aws-rds';
import type { Construct } from 'constructs';
import { BastionHostForward } from './bastion-host-forward';
import type { BastionHostForwardBaseProps } from './bastion-host-forward-base-props';
export interface BastionHostRDSForwardProps extends BastionHostForwardBaseProps {
    readonly rdsInstance: IDatabaseInstance;
    readonly rdsResourceIdentifier?: string;
    readonly iamUser?: string;
}
export declare class BastionHostRDSForward extends BastionHostForward {
    constructor(scope: Construct, id: string, props: BastionHostRDSForwardProps);
    /**
     * @returns the resource ARN for the the rds-db:connect action
     */
    private genDbUserArnFromRdsArn;
}
